Export Schedule 1
GET
/api/v1/tax-reports/{address}/export/schedule-1
const url = 'https://api.qeychain.xyz/api/v1/tax-reports/example/export/schedule-1?tax_year=1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.qeychain.xyz/api/v1/tax-reports/example/export/schedule-1?tax_year=1'Export IRS Schedule 1 data (Additional Income - crypto income).
Returns ordinary income from airdrops, staking rewards, mining, and other crypto income for Line 8z.
Response Format:
{
"success": true,
"data": {
"tax_year": 2024,
"other_income_amount": "500.00",
"airdrop_income": "100.00",
"staking_income": "400.00",
...
},
"meta": {...}
}
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
Query Parameters
Section titled “Query Parameters”tax_year
required
Tax Year
Tax year (e.g., 2024)
integer
Tax year (e.g., 2024)
owned_wallets
Any of:
Array<string>
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Export Schedule 1 Api V1 Tax Reports Address Export Schedule 1 Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}